<?php
require_once "connect.php";

// dados da seção
$id_usuario = 0;
$st_ativo	= 1;
$ok = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id       = $_POST['id'];
}

if(isset($_POST['ds_tipo'])){
  $ds_tipo	= trim($_POST['ds_tipo']);
}

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_dom_tipo_condicao_pagamento set ds_tipo = '$ds_tipo',st_ativo  =  $st_ativo, dh_alteracao=now()";
  $sql .= " where id = '$id'";
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_dom_tipo_condicao_pagamento set st_ativo = 0, dh_alteracao=now()";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_dom_tipo_condicao_pagamento ( ds_tipo, st_ativo) values ( '$ds_tipo', $st_ativo )";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_dom_tipo_condicao_pagamento_list.php");
}
?>
